PHPExcel_Chart

# Class: PHPExcel_Chart_DataSeriesValues

Source Location: /PHPExcel/Chart/DataSeriesValues.php

### Class Overview

PHPExcel_Chart_DataSeriesValues

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- DATASERIES_TYPE_NUMBER
- DATASERIES_TYPE_STRING

### Methods

- __construct
- getDataSource
- getDataType
- getDataValue
- getDataValues
- getFormatCode
- getPointCount
- getPointMarker
- isMultiLevelSeries
- multiLevelCount
- refresh
- setDataSource
- setDataType
- setDataValues
- setFormatCode
- setPointMarker

### Class Details

[line 36]
PHPExcel_Chart_DataSeriesValues

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 92]

`PHPExcel_Chart_DataSeriesValues __construct( [ $dataType = self::DATASERIES_TYPE_NUMBER], [ $dataSource = null], [ $formatCode = null], [ $pointCount = 0], [ $dataValues = array()], [ $marker = null])`

Create a new PHPExcel_Chart_DataSeriesValues object

#### Tags:

access: | public

#### Parameters:

| $dataType |
| $dataSource |
| $formatCode |
| $pointCount |
| $dataValues |
| $marker |

[ Top ]

### method getDataSource [line 136]

`string getDataSource( )`

Get Series Data Source (formula)

#### Tags:

access: | public

[ Top ]

### method getDataType [line 107]

`string getDataType( )`

Get Series Data Type

#### Tags:

access: | public

[ Top ]

### method getDataValue [line 246]

`mixed getDataValue( )`

Get the first Series Data value

#### Tags:

access: | public

[ Top ]

### method getDataValues [line 237]

`array getDataValues( )`

Get Series Data Values

#### Tags:

return: | of mixed
access: | public

[ Top ]

### method getFormatCode [line 182]

`string getFormatCode( )`

Get Series Format Code

#### Tags:

access: | public

[ Top ]

### method getPointCount [line 203]

`integer getPointCount( )`

Get Series Point Count

#### Tags:

access: | public

[ Top ]

### method getPointMarker [line 161]

`string getPointMarker( )`

Get Point Marker

#### Tags:

access: | public

[ Top ]

### method isMultiLevelSeries [line 212]

`boolean isMultiLevelSeries( )`

Identify if the Data Series is a multi-level or a simple series

#### Tags:

access: | public

[ Top ]

### method multiLevelCount [line 224]

`boolean multiLevelCount( )`

Return the level count of a multi-level Data Series

#### Tags:

access: | public

[ Top ]

### method refresh [line 280]

`void refresh( PHPExcel_Worksheet $worksheet, [ $flatten = TRUE])`

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $worksheet |
| $flatten |

[ Top ]

### method setDataSource [line 146]

`PHPExcel_Chart_DataSeriesValues setDataSource( [string $dataSource = null], [ $refreshDataValues = true])`

Set Series Data Source (formula)

#### Tags:

access: | public

#### Parameters:

string | $dataSource |
| $refreshDataValues |

[ Top ]

### method setDataType [line 122]

`PHPExcel_Chart_DataSeriesValues setDataType( [string $dataType = self::DATASERIES_TYPE_NUMBER])`

Set Series Data Type

#### Tags:

access: | public

#### Parameters:

string | $dataType | Datatype of this data series Typical values are: PHPExcel_Chart_DataSeriesValues::DATASERIES_TYPE_STRING Normally used for axis point values PHPExcel_Chart_DataSeriesValues::DATASERIES_TYPE_NUMBER Normally used for chart data values

[ Top ]

### method setDataValues [line 265]

`PHPExcel_Chart_DataSeriesValues setDataValues( [array $dataValues = array()], [boolean $refreshDataSource = TRUE])`

Set Series Data Values

#### Tags:

access: | public

#### Parameters:

array | $dataValues |
boolean | $refreshDataSource | TRUE - refresh the value of _dataSource based on the values of $dataValues FALSE - don't change the value of _dataSource

[ Top ]

### method setFormatCode [line 192]

`PHPExcel_Chart_DataSeriesValues setFormatCode( [string $formatCode = null])`

Set Series Format Code

#### Tags:

access: | public

#### Parameters:

string | $formatCode |

[ Top ]

### method setPointMarker [line 171]

`PHPExcel_Chart_DataSeriesValues setPointMarker( [string $marker = null])`

Set Point Marker

#### Tags:

access: | public

#### Parameters:

string | $marker |

[ Top ]

### Class Constants

#### DATASERIES_TYPE_NUMBER = 'Number'

[line 40]

[ Top ]

#### DATASERIES_TYPE_STRING = 'String'

[line 39]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:39 +0200 by phpDocumentor 1.4.4